/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["epages.cartridges.de_epages.design.widget.Designtoolitem"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["epages.cartridges.de_epages.design.widget.Designtoolitem"] = true;
/*
	Copyright (c) 2006-2007, ePages GmbH
	All Rights Reserved.

	epages.cartridges.de_epages.design.widget.Designtoolitem $Revision: 1.5 $

*/
dojo.provide("epages.cartridges.de_epages.design.widget.Designtoolitem");
dojo.require('epages.widget.Tooltip');

dojo.declare(
	"epages.cartridges.de_epages.design.widget.Designtoolitem",
	[dijit._Widget, dijit._Templated, dijit._Contained],
	{
		/**
		 * public properties
		 */
		label: '',
		infoText: '',
		iconSrc: '',
		objectId: '',
		tooltipWidget: undefined,
		 /**
		 * widget properties
		 */
		imagePath         :  epages.themeUrl('images'),
		templateString:"<div class=\"dijitReset dijitMenuItem\"\n    dojoAttachEvent=\"ondijitclick:onClick,onmouseenter:_onHover,onmouseleave:_onUnhover\"\n    style=\"float:left; padding: 3px; margin: 3px 3px 3px 3px\"\n    >\n  <span tabIndex=\"-1\" waiRole=\"menuitem\" >\n  <span class=\"dijitReset dijitMenuItemIcon\" dojoAttachPoint=\"iconNode\" style=\"position:static\"><img src=\"${iconSrc}\" alt=\"\" /><span dojoAttachPoint=\"tooltipNode\"></span></span>\n  <span style=\"display: none\" class=\"dijitReset dijitMenuItemLabel\" dojoAttachPoint=\"containerNode\" ></span>\n  <span style=\"display: none\" class=\"dijitReset\" dojoAttachPoint=\"arrowCell\">\n    <span class=\"dijitMenuExpand\" dojoAttachPoint=\"expand\" style=\"display:none\">\n      <span class=\"dijitInline dijitArrowNode dijitMenuExpandInner\">+</span>\n    </span>\n  </span>\n</div>\n",

		postCreate: function(){
			dojo.setSelectable(this.domNode, false);
			if(this.label){
				this.containerNode.innerHTML=this.label;
			}
			if(this.label != "") {
				var ttContent= "";
				if(this.infoText && this.infoText != ""){
					ttContent = "<b>"+this.label+"</b><br />"+this.infoText;
				}else{
					ttContent = this.label;
				}
				this.tooltipNode.innerHTML= ttContent;
				var tt = new epages.widget.Tooltip({},this.tooltipNode);
				this.tooltipWidget = tt;
			}
		},
		onClick: function() {
		},

		_onHover: function(){
			dojo.addClass(this.domNode, 'dijitMenuItemHover');
		},

		_onUnhover: function(){
			dojo.removeClass(this.domNode, 'dijitMenuItemHover');
		}
	}
);

}
